### Method

# CM Client set_password

#### Declaration [src]

    void
    cm_client_set_password (
      CmClient* self,
      const char* password
    )

#### Description [src]

Set the password for the client. You can’t set the password once the client is enabled, except in the callback when the client failed to login due to wrong password.

#### Parameters

`password`

  Type: `const char*`

  The password for the `self`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.